<div id="distrimedia_inventory" class="panel woocommerce_options_panel">
    <div class="options_group distri-details">
		<?php

		if(isset( $distri_inventory['inventory'] ) && $distri_inventory['inventory']) :
            $syncedAt = new DateTime( $distri_inventory['synced_at'], wp_timezone() );
            ?>
            <p class="form-field">
                <label>Last Synced</label>
                <span><?php echo $syncedAt->format('Y-m-d h:i:s a') ?></span>
            </p>
        <?php
            foreach(json_decode($distri_inventory['inventory']) as $title => $field) :
                if(is_array($field) || is_object($field)) continue;
                ?>
            <p class="form-field">
                <label><?php echo $title ?></label>
                <span><?php echo $field ?></span>
            </p>
            <?php
            endforeach;

        else :
            echo '<p>' . __( 'No inventory data available for this product yet', 'distrimedia-integration' ) . '</p>';
		endif;
		?>
    </div>
    <div class="options_group">
        <p class="form-field ">
            <label>Sync Product</label>
            <a class="button" href="<?php echo add_query_arg( $wp->query_vars, ['sync-distrimeida' => $post->ID] ) ?>">Sync Now</a>
        </p>

    </div>

</div>
