<?php

if ( ! class_exists( 'Distrimedia_Integration_Pickup' ) ) {
	class Distrimedia_Integration_Pickup extends Distrimedia_Integration_Home {
		public function __construct( $instance_id = 0 ) {
			$this->id                 = 'distrimedia_pickup';
			$this->method_title       = __( 'Bpost Pickup Point', 'distrimedia-integration' );
			$this->method_description = __( 'Pick-up Point or Post Office Delivery', 'distrimedia-integration' );

			$this->instance_id        = absint( $instance_id );
			$this->supports           = array(
				'shipping-zones',
				'instance-settings',
				'instance-settings-modal',
			);


			$this->init();

			add_action( 'woocommerce_update_options_shipping_' . $this->id, array(
				$this,
				'process_admin_options'
			) );
		}

	}
}
