<?php

if ( ! class_exists( 'Distrimedia_Integration_Locker' ) ) {
//	class Distrimedia_Integration_Locker extends WC_Shipping_Method {
	class Distrimedia_Integration_Locker extends Distrimedia_Integration_Home {
		public function __construct( $instance_id = 0 ) {
//			parent::__construct($instance_id);
			$this->id                 = 'distrimedia_locker';
			$this->method_title       = __( 'Bpost Locker', 'distrimedia-integration' );
			$this->method_description = __( 'Parcel Locker', 'distrimedia-integration' );

			$this->instance_id        = absint( $instance_id );
			$this->supports           = array(
				'shipping-zones',
				'instance-settings',
				'instance-settings-modal',
			);


			$this->init();

			add_action( 'woocommerce_update_options_shipping_' . $this->id, array(
				$this,
				'process_admin_options'
			) );
		}
	}
}
